//
//  ViewController.swift
//  HelloWorld
//
//  Created by Radu Ionescu on 3/13/19.
//  Copyright © 2019 FMI. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UITextFieldDelegate {

    @IBOutlet weak var nameTextField: UITextField!
    @IBOutlet weak var greetingsLabel: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    // MARK: Target Actions
    
    @IBAction func greetUser() {
        guard let name = nameTextField.text else {
            greetingsLabel.text = "Please provide your name!"
            return
        }
        guard !name.isEmpty else {
            greetingsLabel.text = "Please provide your name!"
            return
        }
        greetingsLabel.text = "Hello, \(name)!"
        nameTextField.resignFirstResponder()
    }
    
    // MARK: Text Field Delegate
    
    func textFieldShouldReturn(_ textField: UITextField) -> Bool {
        greetUser()
        return true
    }
}

